help on EAGLEBOARD+ANGSTROM+QT+OPENGL

Hello. I hope i write to the address. I need help with configuring
BEAGLEBOARD+ANGSTROM+QT+OPENGL

i have error message when trying to configure qt 4.7.3:

opengl functionality test failed!

i am using image by narcissus form angstrom-distribution.org.

parameters:

opkg list-installed "libgles*"

libgles-omap3 - 4.03.00.02-r15.6
libgles-omap3-blitwsegl - 4.03.00.02-r15.6
libgles-omap3-dev - 4.03.00.02-r15.6
libgles-omap3-flipwsegl - 4.03.00.02-r15.6
libgles-omap3-frontwsegl - 4.03.00.02-r15.6
libgles-omap3-linuxfbwsegl - 4.03.00.02-r15.6
libgles-omap3-rawdemos - 4.03.00.02-r15.6
libgles-omap3-x11demos - 4.03.00.02-r15.6
libgles-omap3-x11wsegl - 4.03.00.02-r15.6

configure command:

./configure -embedded arm -xplatform /qws/linux-arm-g++ -fast -opengl
es2 -plugin-gfx-powervr -opensource -confirm-license

qmake.conf file content:

include(../../common/qws.conf)

# modifications to g++.conf
QMAKE_CFLAGS_RELEASE = -O3 -march=armv7-a -mtune=cortex-a8
-mfpu=neon -mfloat-abi=softfp
QMAKE_CXXFLAGS_RELEASE = $$QMAKE_CFLAGS_RELEASE

QMAKE_CC = arm-angstrom-linux-gnueabi-gcc
QMAKE_CXX = arm-angstrom-linux-gnueabi-g++
QMAKE_LINK = arm-angstrom-linux-gnueabi-g++
QMAKE_LINK_SHLIB = arm-angstrom-linux-gnueabi-g++

# modifications to linux.conf
QMAKE_INCDIR = /usr/include
QMAKE_LIBDIR = /usr/lib

QMAKE_LIBS_EGL = -lEGL -lIMGegl -lsrv_um
QMAKE_LIBS_OPENGL_QT = -lEGL -lGLESv2 -lGLES_CM -lIMGegl -lsrv_um
QMAKE_LIBS_OPENVG = -lEGL -lGLESv2 -lGLES_CM -lIMGegl -lsrv_um
-lOpenVG -lOpenVGU

QMAKE_AR = arm-angstrom-linux-gnueabi-ar cqs
QMAKE_OBJCOPY = arm-angstrom-linux-gnueabi-objcopy
QMAKE_STRIP = arm-angstrom-linux-gnueabi-strip

#These defines are documented in the powervr README, please read it
DEFINES += QT_QWS_CLIENTBLIT QT_NO_QWS_CURSOR

load(qt_config)

what am I doing wrong??? thanks for any info

You're not using the prebuilt qt in angstrom that already have opengl enabled for beagle

Hello, Koen.

i am torturing Narcissus for already a month! i tried all precompiled
toolchains. they compile QT applications, but they don't have opengl
support. toolchains compiled by me and Narcissus don't want to run
correctly at all. I already compiled about a hundred images with
Narcissus. It means I'am doing something wrong. can you compile one
image and give me a link? or give an advice. I learned all topics on
my theme. But it was useless. I already have my working QT
application. but without OPENGL part, which is very important. I
almost despaired

thanks for any info.